Summary: A program for archiving files
Name: tar
Version: 1.35
Release: 2%{?dist}
License: GPLv3+
URL: https://www.gnu.org/software/tar/

Source0: https://ftp.gnu.org/gnu/tar/tar-%{version}.tar.xz

Patch0001:  tar-1.28-loneZeroWarning.patch
Patch0002:  tar-1.28-vfatTruncate.patch
Patch0003:  tar-1.29-wildcards.patch
Patch0004:  tar-1.28-atime-rofs.patch
Patch0005:  tar-1.28-document-exclude-mistakes.patch
Patch0006:  tar-1.33-fix-capabilities-test.patch
Patch0007:  tar-1.35-add-forgotten-tests-from-upstream.patch
Patch0008:  tar-1.35-revert-fix-savannah-bug-633567.patch

BuildRequires: make gcc autoconf automake 
BuildRequires: texinfo gettext libacl-devel 
BuildRequires: attr acl policycoreutils libselinux-devel

Provides: bundled(gnulib) bundled(paxutils) /bin/tar /bin/gtar

%description
This GNU tar program provides files archiving ablitiy for the user, which
can also restore files from an archived file. Adding supplemental files and
updating or showing files of an archive are also supported.

%prep
%autosetup -p1
autoreconf -v

%build
%configure --with-lzma="xz --format=lzma" \
            DEFAULT_RMT_DIR=%{_sysconfdir} \
            RSH=/usr/bin/ssh

%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
ln -s tar $RPM_BUILD_ROOT%{_bindir}/gtar
ln -s tar.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/gtar.1

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/rmt
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/rmt.8*

%find_lang %name

%check
make check

%files -f %{name}.lang
%doc AUTHORS README THANKS NEWS ChangeLog
%license COPYING
%{_bindir}/tar
%{_bindir}/gtar
%{_mandir}/man1/tar.1*
%{_mandir}/man1/gtar.1*
%{_infodir}/tar.info*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.35-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Wang Guodong <gordonwwang@tencent.com> - 1.35-1
- Upgrade to version 1.35

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.34-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.34-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 29 2022 Minjie HUANG <jackmjhuang@tencent.com> - 1.34-1
- Initial build.
